package cn.com.ctop.finance.payment.service;

import cn.com.ctop.finance.payment.entity.FinancePaymentApplication;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

/**
 * 申请垫款表
 * @author jeecg-boot
 * 2023-04-11
 * @version V1.0
 */
public interface IFinancePaymentApplicationService extends IService<FinancePaymentApplication> {

    void add(JSONObject request) throws InterruptedException;

    Result<Object> getAdvertisers(String mediaType);

    Result<Object> getProductByAdvertiserIds(String ids);

    Result<Object> updateStatus(FinancePaymentApplication application);

    Result<Object> edit(FinancePaymentApplication application) throws InterruptedException;

    Result<Object> queryPoolInfo(String advertiserId, String productId, String type);

    Result<Object> updateTemporaryFiles(FinancePaymentApplication application);

    Result<Object> queryAuditProcess(Long id);

    Result<Object> queryInfo(String advertiserId, String productId, String type);

    Result<Object> queryCwjsPolicyInfo(String advertiserName, String productName, String type);
}
